getVoteAccounts
POST
Returns the current Solana version running on the node
param[0]
configurationObjectobjectrequired
commitmentstring
The commitment describes how finalized a block is at that point in time.- finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
- confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
- processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
votePubkeystring
Only return results for this validator vote address (base-58 encoded)keepUnstakedDelinquentsboolean
Do not filter out delinquent validators with no stakedelinquentSlotDistanceinteger
Specify the number of slots behind the tip that a validator must fall to be considered delinquent. NOTE: For the sake of consistency between ecosystem products, it is not recommended that this argument be specified.Responses
idinteger
The request IDjsonrpcstring
The JSON-RPC versionArray of all vote accounts currently participating in the validator set
activatedStakeinteger
The stake, in lamports, delegated to this vote account and active in this epochcommissioninteger
Percentage (0-100) of rewards payout owed to the vote accountepochCreditsarray
Latest history of earned credits for up to five epochs, as an array of arrays containing: [epoch, credits, previousCredits]epochVoteAccountboolean
Whether the vote account is staked for this epochlastVoteinteger
Most recent slot voted on by this vote accountnodePubkeystring
Validator identity, as base-58 encoded stringrootSlotinteger
Current root slot for this vote accountvotePubkeystring
Vote account address, as base-58 encoded stringArray of all vote accounts that are delinquent
activatedStakeinteger
The stake, in lamports, delegated to this vote account and active in this epochcommissioninteger
Percentage (0-100) of rewards payout owed to the vote accountepochCreditsarray
Latest history of earned credits for up to five epochs, as an array of arrays containing: [epoch, credits, previousCredits]epochVoteAccountboolean
Whether the vote account is staked for this epochlastVoteinteger
Most recent slot voted on by this vote accountnodePubkeystring
Validator identity, as base-58 encoded stringrootSlotinteger
Current root slot for this vote accountvotePubkeystring
Vote account address, as base-58 encoded stringcodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getVoteAccounts","params": [{"commitment": "finalized","votePubkey": "i7NyKBMJCA9bLM2nsGyAGCKHECuR2L5eh4GqFciuwNT"}]}'